Bug 1249227 - licensecheck cannot parse c/c++ files
licensecheck cannot parse c/c++ files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: devscripts (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 17:50 EDT by Jerry James
Modified: 2015-08-12 03:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: devscripts-2.15.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 03:04:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-07-31 17:50:31 EDT
Description of problem:
I have a fully updated Fedora 22 x86_64 system.  Trying to run licensecheck on either C or C++ code results in messages like this:

/usr/bin/licensecheck warning: cannot parse file './fflas-ffpack/field/nonzero-randiter.h' with mime type 'text/x-c++; charset=us-ascii'
/usr/bin/licensecheck warning: cannot parse file './fflas-ffpack/field/modular-extended.h' with mime type 'text/x-c++; charset=us-ascii'
/usr/bin/licensecheck warning: cannot parse file './fflas-ffpack/field/field-traits.h' with mime type 'text/x-c; charset=us-ascii'
/usr/bin/licensecheck warning: cannot parse file './fflas-ffpack/field/rns-integer-mod.h' with mime type 'text/x-c; charset=us-ascii'

However, .h files are parsed correctly.

Version-Release number of selected component (if applicable):
devscripts-minimal-2.15.5-6.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run licensecheck on a Fedora 22 machine, on either C or C++ source files.
2.
3.

Actual results:
Parsing fails.

Expected results:
License information for the files.

Additional info:
Comment 1 Fedora Update System 2015-07-31 18:20:37 EDT
devscripts-2.15.6-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/devscripts-2.15.6-2.fc22
Comment 2 Fedora Update System 2015-07-31 18:20:42 EDT
devscripts-2.15.6-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/devscripts-2.15.6-2.fc21
Comment 3 Fedora Update System 2015-08-01 14:21:13 EDT
devscripts-2.15.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/devscripts-2.15.7-1.fc22
Comment 4 Fedora Update System 2015-08-01 14:21:18 EDT
devscripts-2.15.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/devscripts-2.15.7-1.fc21
Comment 5 Fedora Update System 2015-08-03 00:27:52 EDT
Package devscripts-2.15.7-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing devscripts-2.15.7-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12618/devscripts-2.15.7-1.fc21
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-08-03 02:19:09 EDT
devscripts-2.15.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/devscripts-2.15.8-1.fc22
Comment 7 Fedora Update System 2015-08-03 02:19:15 EDT
devscripts-2.15.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/devscripts-2.15.8-1.fc21
Comment 8 Fedora Update System 2015-08-12 03:04:09 EDT
devscripts-2.15.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-08-12 03:04:56 EDT
devscripts-2.15.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.